BACKTRACKER(1)

NAME
backtracker - Forward and Backward flowlines and hotspot tracks

SYNOPSIS
backtracker [infile(s)] -Estage_file [ -A[young/old] ] [ -C ] [ -Df|b ] [ -H[i][nrec] ] [ -Lf|bstep ] [ -M[i|o][flag] ] [ -Nupper_age ] [ -Qfixed_age ] [ -Sfilestem ] [ -Tzero_age ] [ -V ] [ -W[a|t] ] [ -:[i|o] ] [ -b[i|o][s|S|d|D][ncol] ]

DESCRIPTION
backtracker reads (longitude, latitude, age) positions from infiles [or standard input] and computes projected (x,y,t) coordinates using the specified rotation parameters. It can either calculate final positions [Default] or create a sampled track between the initial and final positions. The former mode allows additional data fields after the first 3 columns which must have (longitude,latitude,age). See option -: on how to read (latitude,longitude,age) files.
    No space between the option flag and the associated arguments. Use upper case for the option flags and lower case for modifiers.

infile(s)
    Data file(s) to be projected. If not given, standard input is read.

-E  Give file with rotation poles and opening angles. This file must contain one record for each rotation; each record must be of the following format:

        lon lat tstart [tstop] ccw-angle [k a b c d e f g]

    where tstart [and tstop] are in Ma, with lon, lat, and angle in degrees. For stage rotations, the oldest stage must be listed first, whereas for total reconstruction rotations the youngest rotation is listed first. tstart (tstop) is the age of the old (young) end of the stage. A covariance matrix, if present, may be given in the given format. Blank lines and records whose first column contains # will be ignored.

OPTIONS

-A  Used in conjunction with -Lb|f to limit the track output to those sections whose predicted ages fit between the young and old limits. If -LB|F is used instead then the limits apply to the stage ids. If no limits are supplied then individual limits for each seamount are expected in columns 4 and 5 of the input file.

-C  Expect Total Reconstruction Poles (Finite Poles) rather than Backward Stage Poles [Default]. File format is similar to the stage pole format except the youngest rotation must be listed first and that the tstart column is optional (assumed to be 0 Ma).

-D  Set the direction to go: -Df will go forward in time (from younger to older positions), while -Db will go backward in time (from older to younger positions) [Default].

-H  Input file(s) has Header record(s). Number of header records can be changed by editing your .gmtdefaults4 file. If used, GMT default is 1 header record. Use -Hi if only input data should have header records [Default will write out header records if the input data have them].

-L  Specify a sampled path between initial and final position: -Lf will draw flowlines, while -Lb will draw backtrack (hotspot track) paths. Append sampling interval in km. If step < 0 then only the bend-times (knots) will be returned. When -LF or -LB is used, the third output column will contain the stage id (1 is youngest) [Default is along-track ages].

-M  Multiple segment file(s). Segments are separated by a special record. For ASCII files the first character must be flag [Default is '>']. For binary files all fields must be NaN and -b must set the number of output columns explicitly. By default the -M setting applies to both input and output. Use -Mi and -Mo to give separate settings.

-N  Set the maximum age to extend the oldest stage back in time [Default is no extension].

-Q  Assign a fixed age to all positions. Only lon, lat input is expected.

-S  When -L is set, the tracks are normally written to stdout as a multisegment file. Specify a filestem to have each track written to filestem.#, where # is the track number. The track number is also copied to the 4th output column.

-T  Set the current time [Default is 0 Ma].

-V  Selects verbose mode, which will send progress reports to stderr [Default runs "silently"].

-W  Rotates the given input (lon,lat,t) and calculates the confidence ellipse for the projected point. The input point must have a time coordinate that matches a particular finite rotation time, otherwise the point will be skipped. Append t or a to output time or angle, respectively, after the projected lon, lat. After these 2-3 items, we write azimuth, major, minor (in km) for the 95% confidence ellipse.

-:  Toggles between (longitude,latitude) and (latitude,longitude) input and/or output. [Default is (longitude,latitude)]. Append i to select input only or o to select output only. [Default affects both].

-bi Selects binary input. Append s for single precision [Default is d (double)]. Uppercase S (or D) will force byte-swapping. Optionally, append ncol, the number of columns in your binary file if it exceeds the columns needed by the program. [Default is 3 input columns].

-bo Selects binary output. Append s for single precision [Default is d (double)]. Uppercase S (or D) will force byte-swapping. Optionally, append ncol, the number of desired columns in your binary output file. [Default depends on settings].

EXAMPLES
To backtrack the (x,y,t) points in the file seamounts.d to their origin (presumably the hotspot), using the DC85.d Euler poles, run

backtracker seamounts.d -Db -EDC85.d > newpos.d

To project flowlines forward from the (x,y,t) points stored in several 3-column, binary, double precision files, run

backtracker points.* -Df -EDC85.d -Lf25 -bo -bi3 > lines.b

This file can then be plotted with psxy -M.

SEE ALSO
GMT(1), project(1), mapproject(1), hotspotter(1), originator(1)

REFERENCES
Wessel, P., 1999, "Hotspotting" tools released, EOS Trans. AGU, 80 (29), p. 319.